Delete Plugin Metadata
DELETE /apisix/admin/plugin_metadata/{plugin_name}
DELETE /apisix/admin/plugin_metadata/{plugin_name}Interactive request editor loads with JavaScript.
X-API-KEY<token>
Admin API key configured in config.yaml under deployment.admin.admin_key. You can also pass the key as a query parameter api_key or cookie x_api_key.
In: header
Path Parameters
plugin_name*string
Plugin name.
Length
1 <= lengthQuery Parameters
force?string
Delete resource by force even if the resource is in use.
Response Body
application/json
application/json
application/json
curl -X DELETE "http://127.0.0.1:9180/apisix/admin/plugin_metadata/limit-count?force=true"Successful response.
{
"key": "/apisix/plugin_metadata/syslog",
"deleted": "1"
}**Unauthorized** — The API key is missing, invalid, or lacks permission.
{
"error_msg": "failed to check token",
"description": "missing apikey"
}{
"error_msg": "failed to check token",
"description": "wrong apikey"
}{
"error_msg": "failed to check token",
"description": "invalid method for role viewer"
}Key not found
{
"error_msg": "Key not found"
}Complete operation details and schema variants
DELETE /apisix/admin/plugin_metadata/{plugin_name}
Delete Plugin Metadata
Delete metadata for a specific plugin.
Parameters
plugin_name(path, string, required): Plugin name.force(query, string, optional): Delete resource by force even if the resource is in use.
Responses
200: Successful response.key(string, optional): Unique key identifier for this plugin metadata in the data store.deleted(string, optional): The ID of the successfully deleted plugin metadata.401: Unauthorized — The API key is missing, invalid, or lacks permission.error_msg(string, required): Authentication error message.description(string, optional): Detailed reason for the authentication failure.404: Not Found — The specified resource does not exist.error_msg(string, required): Error message indicating the resource was not found.
cURL
curl -X DELETE 'http://127.0.0.1:9180/apisix/admin/plugin_metadata/{plugin_name}'